#!/usr/lib/perl
use Lingua::LanguageGuesser qw/create_model/;
use strict;
use vars qw($opt_d $opt_s $opt_n $opt_h);
use Getopt::Std;
use Lingua::LanguageGuesser;
getopts('d:s:n:h');

sub help {
    print <<HELP
Usage
-----

* print help message:

$0 -h

* for cerate or re-create your own language model:

$0 [-d Dir] [-s FileName] [-n LanguaeName]

    -d    indicates in which directory the your additional language models
          are located.
    -s    indicates language model (profile) source file. 
    -n    set languag name with encode.

HELP
}

if ($opt_d && $opt_n && $opt_n) {
    create_model($opt_d, $opt_s, $opt_n);
}
else {
    help();
}
