#!/usr/bin/perl
use Lingua::LanguageGuesser qw/create_model/;
use strict;
use vars qw($opt_d $opt_n $opt_h);
use Getopt::Std;
use Lingua::LanguageGuesser;
getopts('d:n:h');

sub help {
    print <<HELP
Usage
-----

* print help message:

$0 -h

* for delete language model:

$0 [-d Dir] [-n LanguaeName]

    -d    indicates in which directory the your additional language models
          are located.
    -n    set languag name with encode.

HELP
}

if ($opt_d && $opt_n && $opt_n) {
    delete_model($opt_d, $opt_n);
}
else {
    help();
}
